#
# spec file for package cg (Version 3.1)
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           cg
Url:            http://developer.nvidia.com/cg-toolkit
License:        SUSE-NonFree and GPL-2.0+
Group:          Development/Tools/Other
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif
BuildRequires:  freeglut-devel
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xmu)
AutoReqProv:    on
Version:        3.1.0013
Release:        lp155.2.6
%define fileversion 3.1_April2012
Summary:        C for Graphics
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
Obsoletes:      Cg < %{version}
Provides:       Cg = %{version}
Source:         Cg-%{fileversion}_x86.tgz
Source1:        Cg-%{fileversion}_x86_64.tgz
%if "%_arch" == "i386"
%define CgArch x86
%else
%define CgArch %_arch
%endif

%description
The Cg Toolkit provides a compiler for the Cg language, runtime
libraries for use with both leading graphics APIs, runtime libraries
for CgFX, example applications, and extensive documentation. Supporting
over 24 different OpenGL and DirectX profile targets, Cg will allow you
to incorporate stunning interactive effects into your 3D applications.

The runtime package contains the compiler and runtime libraries only.



Authors:
--------
    NVIDIA

%package devel
License:        SUSE-NonFree and GPL-2.0+
Summary:        Development documentation and examples for C for Graphics
Group:          Development/Tools/Other
Requires:       %name = %version
Requires:       Mesa-devel
Requires:       pkgconfig(glu)
Requires:       pkgconfig(gl)
Requires:       freeglut-devel
Obsoletes:      Cg-devel < %{version}
Provides:       Cg-devel = %{version}
AutoReqProv:    on

%description devel
The Cg Toolkit provides a compiler for the Cg language, runtime
libraries for use with both leading graphics APIs, runtime libraries
for CgFX, example applications, and extensive documentation. Supporting
over 24 different OpenGL and DirectX profile targets, Cg will allow you
to incorporate stunning interactive effects into your 3D applications.

The development package contains the complete documentation and example
files. The Cg compiler is part of the runtime package, as some external
application may need it.



Authors:
--------
    NVIDIA

%prep
%setup -q -n . -D -T
tar -xf %_sourcedir/Cg-%{fileversion}_%CgArch.tgz
# this is redundant and breaks dependencies for libGL.so.1 and libglut.so.3 in other packages
rm usr/local/Cg/examples/Trace/*.so*

%build
cp -a usr/local/Cg/examples/Tools/cgfxcat cgfxcat
cd cgfxcat
make CFLAGS="$RPM_OPT_FLAGS -I../usr/include -I../usr/local/Cg/examples/OpenGL/glew/include -L../usr/lib64 -L../usr/lib"
cd -
cp cgfxcat/cgfxcat usr/bin/

%install
mkdir -p %buildroot/usr %buildroot%_defaultdocdir/%name/docs
cp -a usr/bin usr/%_lib usr/include %buildroot/usr/
cp -a usr/local/Cg/. %buildroot%_defaultdocdir/%name/
mkdir -p %buildroot/usr/lib/%name
mv %buildroot%_defaultdocdir/%name/examples %buildroot/usr/lib/%name/
sed -i "s@/usr/local/Cg@%_defaultdocdir/cg@g" %buildroot%_defaultdocdir/%name/README
sed -i "s@/usr/local/Cg@%_defaultdocdir/cg@g" %buildroot%_defaultdocdir/%name/MANIFEST
%if 0%{?suse_version}
%fdupes %buildroot/usr/lib/cg/examples
%endif

%files
%defattr(-, root, root)
%_bindir/cgc
%_bindir/cgfxcat
%_bindir/cginfo
%_libdir/libCg.so
%_libdir/libCgGL.so
%dir %_defaultdocdir/%name
%_defaultdocdir/%name/README
%_defaultdocdir/%name/MANIFEST
%dir %_defaultdocdir/%name/docs
%_defaultdocdir/%name/docs/license.*
%_defaultdocdir/%name/docs/Cg-2.0.pdf
%_defaultdocdir/%name/docs/CgUsersManual.pdf

%files devel
%defattr(-, root, root)
%dir %_includedir/Cg
%_includedir/Cg/*.h
%_defaultdocdir/%name/docs/CgFX_bumpdemo_Tutorial.pdf
%_defaultdocdir/%name/docs/CgReferenceManual.pdf
%_defaultdocdir/%name/docs/CgReleaseNotes.pdf
%_defaultdocdir/%name/docs/Cg_bumpdemo_Tutorial.pdf
%_defaultdocdir/%name/docs/CgReferenceManual.chm
%_defaultdocdir/%name/docs/html
%dir /usr/lib/%name
/usr/lib/%name/examples

%changelog
* Fri Oct 19 2012 mailaender@opensuse.org
- remove thirdparty libraries from examples to fix build requires
  for dozens of packages that requires libGL and libGLUT
- add missing dependencies
- fix build on Fedora
* Thu Oct 11 2012 cfarrell@suse.com
- license update: SUSE-NonFree and GPL-2.0+
  There are GPL-2.0+ licensed files in the examples subdirectory
* Tue Oct  9 2012 mailaender@opensuse.org
- Update to 3.1.0013 of April 2012
  * Improved GLSL support for clip semantics.
  * Fixed a runtime bug concerning gp4 and gp5 geometry programs.
* Sat May 29 2010 cmorve69@yahoo.es
- Don't include examples since they are wrongly linked
* Thu Apr 29 2010 mhopf@novell.com
- Fix dependency by rebuilding cgfxcat (bnvc #548246).
  Won't be necessary with next code drop from NVidia.
* Mon Apr 26 2010 mhopf@novell.com
- Update to 2.2 version of February2010
  * Improve EXT_gpu_shader4 handling
  * Improve handling of extensions on older versions of OpenGL
  * Performance improvements
  * Bug fixes
* Sat Jan 23 2010 cmorve69@yahoo.es
- Remove dependency to libGLU.so. Really fixes bnc #548246.
* Tue Oct 20 2009 mhopf@novell.com
- Update to 2.2 version of October2009
  * Performance improvements
  * Bug fixes
* Tue Oct 20 2009 mhopf@novell.com
- Require Mesa-devel due to usr/bin/cgfxcat being linked
  against libGLU.so (w/o .1). Fixes bnc #548246.
* Thu Apr 23 2009 mhopf@suse.de
- Update to Version 2.2 of April 2009:
  * Tons of changes since 1.5.
  * Changes 2.1 -> 2.2 are:
  * DirectX10 and GLSL geometry profiles (gs_4_0 AND glslg)
  * Support for "latest" profile keyword in CgFX compile statements
  * Additional API routines (see New API for a complete list)
  * Support for pack_matrix() pragma
  * Arrays of shaders can now be used in CgFX files
  * Libraries for 64 bit Solaris development
  * Migrated the OpenGL examples onto GLEW
  * New examples including:
    examples/Direct3D10/advanced
    combine_programs
    gs_shrinky
    gs_simple
    examples/OpenGL/advanced
    cgfx_latest
    examples/Tools
    cgfxcat
    cginfo
  * New documentation
  * Updated reference manual pages for new profiles and entry points
  * Bug fixes
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Dec 12 2007 mhopf@suse.de
- #331539: Add Obsoletes/Provides for Cg (compatibility to Packman packages)
* Sun Feb 11 2007 ro@suse.de
- added defattr for devel package
* Mon Jan 29 2007 mhopf@suse.de
- Do not ship unnecessary include/GL/glext.h in binary rpms #239904.
* Mon Jan 15 2007 mhopf@suse.de
- Initial checkin.
